Name:		hp-ixgbe
Version:	3.11.33
Release:	1
Group:		System/Kernel
Vendor:		Intel Corporation
URL:		http://www.intel.com/network/connectivity/products/server_adapters.htm
Packager:	Hewlett-Packard Company
License:	GPL
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Summary:	Intel(R) 10GbE PCI Express Ethernet Kernel Module for HP ProLiant systems

%define debug_package %{nil}

%if "%{_vendor}" == "suse"
%if %{!?KVER:1}%{?KVER:0}
%ifarch x86_64
%define flav debug default kdump smp xen trace
%else
%define flav bigsmp debug default kdump kdumppae smp vmi vmipae xen xenpae pae trace
%endif
%endif

%if %{!?KVER:0}%{?KVER:1}
%define flav %(echo %{KVER} | awk -F"-" '{print $3}')
%endif
%endif

%if "%{_vendor}" == "redhat"
%if %{!?KVER:1}%{?KVER:0}
%define flav ""
%endif
%if %{!?KVER:0}%{?KVER:1}
%define flav %(echo %{KVER} | awk -F"el5" '{print $2}')
%if "%{flav}" == ""
%define flav default
%endif
%endif
%endif

%if "%{_vendor}" == "suse"
BuildRequires: kernel-source kernel-syms
%define install_mod_dir updates/%{name}
%define kernel_source /usr/src/linux-obj/%{_target_cpu}
%{suse_kernel_module_package -x %flav}
%else
BuildRequires: %kernel_module_package_buildreqs
%define install_mod_dir extra/%{name}
%{kernel_module_package %flav}
%endif

%description
Intel(R) 10GbE PCI Express Ethernet Kernel Module for HP ProLiant systems

%package KMP
Summary: Intel(R) 10GbE PCI Express Ethernet Kernel Module for HP ProLiant systems
Group: System/Kernel

%description KMP
Intel(R) 10GbE PCI Express Ethernet Kernel Module for HP ProLiant systems

%package doc
Summary: Documentation for the %{name} kernel module
Group: System/Kernel
%if "%{_vendor}" == "redhat"
Requires: %{name}-kmod = %{version}-%{release}
%else
Requires: %{name}-kmp
%endif

%description doc
Documentation for the Intel(R) 10GbE PCI Express Ethernet Kernel Module for HP ProLiant systems

%prep
%setup
mkdir source
set -- src/*
mv src/* source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION="%version"'

%if %{!?KVER:0}%{?KVER:1}
%define flavors %{flav}
%else
%define flavors %{flavors_to_build}
%endif

for flavor in %{flavors}; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	make -C %{kernel_source $flavor} M=$PWD/obj/$flavor
done
gzip < ixgbe.7 > ixgbe.7.gz

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=%install_mod_dir

%if %{!?KVER:0}%{?KVER:1}
%define flavors %{flav}
%else
%define flavors %{flavors_to_build}
%endif

for flavor in %{flavors}; do
	make -C %{kernel_source $flavor} modules_install M=$PWD/obj/$flavor
done
install -D -m 644 ixgbe.7.gz $RPM_BUILD_ROOT/%{_mandir}/man7/ixgbe.7.gz

%postun doc
if [ -f %{_mandir}/man7/ixgbe.7.gz ]; then
	exit 0
fi

%clean
rm -rf %{buildroot}

%files doc
%defattr(-, root, root)
%{_mandir}/man7/ixgbe.7.gz
%doc COPYING README

%changelog
* Wed Oct 09 2012 HP Linux SW Deliverables <Linux_SWdeliverables@external.groups.hp.com> %version-%release
  - This driver now supports SRIOV virtual functions
  - This driver now supports HP Ethernet 10Gb 2-port 560FLR-SFP+ Adapter
  - This driver now support HP Ethernet 10Gb 2-port 560M Adapter
